
-- *** Vision Shader-Permutation Config-File *** 


--   Functions to add Permutation-Variables and their valid Values:

-- AddPermutationBool      ("VAR_NAME");
-- AddPermutationBoolGroup ("VAR_NAME1", "VAR_NAME2", "VAR_NAME3", ...);
-- AddPermutationInt       ("VAR_NAME", int1, int2, int3, ...);
-- AddPermutationConst     ("VAR_NAME", true/false);
-- AddPermutationConst     ("VAR_NAME", int);

AddPermutationBoolGroup("NONE_TRANSFORM", "MATRIX_TRANSFORM", "LUT_TRANSFORM");
AddPermutationBoolGroup("GAMMA_CORRECTION_NONE", "GAMMA_CORRECTION_PRE_TRANSFORM", "GAMMA_CORRECTION_POST_TRANSFORM");
AddPermutationBool("RGB_TONEMAPPING");
AddPermutationBool("FRAMEBUFFER_FETCH");

--   Filtering-Function to remove unnecessary permutations:

function IsPermutationSupported (PermutationValues, Platform)

  -- Currently no Texture3D support for OpenGL ES platforms.
  if (PermutationValues["LUT_TRANSFORM"] and (Platform == GLES2)) then
    return false;
  end
  
  -- Currently framebuffer fetch only supported on OpenGL ES platforms.
  if (PermutationValues["FRAMEBUFFER_FETCH"] and (Platform ~= GLES2)) then
    return false;
  end

  return true;
end


